make it possible to edit globecoordinates when precision does not match predefined precisions in the frontend
Closed, ResolvedPublic

Description

Bug 64887 should make it possible to actually display these values again, this bug should make it possible to also edit them in the UI.


Version: unspecified
Severity: critical
Whiteboard: u=dev c=frontend p=5 s=2014-06-03
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=64887

bzimport added a subscriber: wikidata-bugs.
bzimport set Reference to bz65535.
Tobi_WMDE_SW created this task.Via LegacyMay 20 2014, 2:13 PM
bzimport added a comment.Via ConduitJun 4 2014, 10:15 AM

wikidata-services wrote:

Commit pushed to editCoordPrecision at https://github.com/wmde/ValueView

https://github.com/wmde/ValueView/commit/90f73b2cca55237ea4db3384c6da52febe9163d5
Support editing arbitrary precisions for GlobeCoordinates

Fixes bug 65535.

bzimport added a comment.Via ConduitJun 4 2014, 11:06 AM

wikidata-services wrote:

Commit pushed to editCoordPrecision at https://github.com/wmde/ValueView

https://github.com/wmde/ValueView/commit/6aae97bdf953e5d81cdcb0d8c2e7a91b40b67bf8
Support editing arbitrary precisions for GlobeCoordinates

Fixes bug 65535.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.